aboutsummaryrefslogtreecommitdiffstats
path: root/x11/dbus-glib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-31 08:36:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-31 08:36:30 +0000
commit4f01d1373bc57b55a9f3d0b3dd391f3c9b76b391 (patch)
tree3371e00585b0f5f850a866fed49ad3de8c4dd058 /x11/dbus-glib/APKBUILD
parent30cd80745024945f8294733c0786780321f76e10 (diff)
downloadaports-4f01d1373bc57b55a9f3d0b3dd391f3c9b76b391.tar.gz
aports-4f01d1373bc57b55a9f3d0b3dd391f3c9b76b391.tar.bz2
aports-4f01d1373bc57b55a9f3d0b3dd391f3c9b76b391.tar.xz
x11/dbus-glib: new aport
GLib bindings for DBUS http://www.freedesktop.org/wiki/Software/DBusBindings
Diffstat (limited to 'x11/dbus-glib/APKBUILD')
-rw-r--r--x11/dbus-glib/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/x11/dbus-glib/APKBUILD b/x11/dbus-glib/APKBUILD
new file mode 100644
index 0000000000..cf583b15a2
--- /dev/null
+++ b/x11/dbus-glib/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=dbus-glib
+pkgver=0.80
+pkgrel=0
+pkgdesc="GLib bindings for DBUS"
+url="http://www.freedesktop.org/wiki/Software/DBusBindings"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="dbus glib libiconv expat gettext"
+makedepends="pkgconfig dbus-dev glib-dev libiconv-dev gettext-dev"
+source="http://dbus.freedesktop.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+depends_dev="glib-dev dbus-dev"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --enable-bash-completion=no || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="86ea60ba2118a1b9deafe8257f6a6a1a dbus-glib-0.80.tar.gz"